Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xpath.res
Class XPATHErrorResources_en

    java.lang.Object
      |
      +--java.util.ResourceBundle
            |
            +--java.util.ListResourceBundle
                  |
                  +--weblogic.apache.xml.utils.res.XResourceBundleBase
                        |
                        +--weblogic.apache.xpath.res.XPATHErrorResources
                              |
                              +--weblogic.apache.xpath.res.XPATHErrorResources_en

public class XPATHErrorResources_en
extends XPATHErrorResources

Default implementation of XPATHErrorResources. This is just an empty class.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Fields inherited from class weblogic.apache.xpath.res.XPATHErrorResources
`BAD_CODE, ER_ARG_LOCALNAME_NULL, ER_ASNODEITERATOR_NOT_SUPPORTED_XRTREEFRAGSELECTWRAPPER, ER_AXES_NOT_ALLOWED, ER_BOOLEAN_ARG_NO_LONGER_OPTIONAL, ER_CANNOT_CREATE_URL, ER_CANNOT_DEAL_XPATH_TYPE, ER_CANNOT_WRITE_TO_EMPTYNODELISTIMPL, ER_CANT_CONVERT_TO_MUTABLENODELIST, ER_CANT_CONVERT_TO_NODELIST, ER_CANT_CONVERT_TO_NUMBER, ER_CANT_CONVERT_TO_TYPE, ER_CANT_HAVE_MORE_THAN_ONE_ROOT, ER_CANT_OUTPUT_TEXT_BEFORE_DOC, ER_CHILD_HAS_NO_OWNER_DOCUMENT, ER_CHILD_HAS_NO_OWNER_DOCUMENT_ELEMENT, ER_CONTEXT_HAS_NO_OWNERDOC, ER_COULD_NOT_FIND_VAR, ER_COULDNOT_BE_FORMATTED_TO_NUMBER, ER_COULDNOT_CREATE_XMLPROCESSORLIAISON, ER_COULDNOT_FIND_ENDOP_AFTER_OPLOCATIONPATH, ER_COULDNOT_FIND_FUNCTION, ER_COULDNOT_GET_VAR_NAMED, ER_COUNT_TAKES_1_ARG, ER_CREATEDOCUMENT_NOT_SUPPORTED, ER_CURRENT_NOT_ALLOWED_IN_MATCH, ER_CURRENT_TAKES_NO_ARGS, ER_DIDNOT_FIND_XPATH_SELECT_EXP, ER_DOCUMENT_REPLACED, ER_DTM_CANNOT_HANDLE_NODES, ER_EMPTY_EXPRESSION, ER_ERROR_OCCURED, ER_EXPECTED_BUT_FOUND, ER_EXPECTED_DOUBLE_QUOTE, ER_EXPECTED_MATCH_PATTERN, ER_EXPECTED_SINGLE_QUOTE, ER_EXTRA_ILLEGAL_TOKENS, ER_FASTSTRINGBUFFER_CANNOT_BE_NULL, ER_FOUND_COMMA_BUT_NO_FOLLOWING_ARG, ER_FOUND_COMMA_BUT_NO_PRECEDING_ARG, ER_FSB_NOT_SUPPORTED_XSTRINGFORCHARS, ER_FUNCTION_TOKEN_NOT_FOUND, ER_IGNORABLE_WHITESPACE_NOT_HANDLED, ER_ILLEGAL_AXIS_NAME, ER_ILLEGAL_VARIABLE_REFERENCE, ER_INCORRECT_ARG_LENGTH, ER_INCORRECT_PROGRAMMER_ASSERTION, ER_INVALID_UTF16_SURROGATE, ER_KEY_HAS_TOO_MANY_ARGS, ER_LOCALNAME_HAS_TOO_MANY_ARGS, ER_NAME_HAS_TOO_MANY_ARGS, ER_NAMESPACEAXIS_NOT_IMPLEMENTED, ER_NAMESPACEURI_HAS_TOO_MANY_ARGS, ER_NODESET_NOT_MUTABLE, ER_NODESETDTM_NOT_MUTABLE, ER_NORMALIZESPACE_HAS_TOO_MANY_ARGS, ER_NULL_ERROR_HANDLER, ER_NUMBER_HAS_TOO_MANY_ARGS, ER_OIERROR, ER_PARSE_NOT_SUPPORTED, ER_PATTERN_LITERAL_NEEDS_BE_QUOTED, ER_PREDICATE_ILLEGAL_SYNTAX, ER_PREFIX_MUST_RESOLVE, ER_PROBLEM_IN_DTM_NEXTSIBLING, ER_PROG_ASSERT_UNKNOWN_OPCODE, ER_RTF_NOT_SUPPORTED_XRTREEFRAGSELECTWRAPPER, ER_SAX_API_NOT_HANDLED, ER_SETDOMFACTORY_NOT_SUPPORTED, ER_STRING_HAS_TOO_MANY_ARGS, ER_STRINGLENGTH_HAS_TOO_MANY_ARGS, ER_TRANSLATE_TAKES_3_ARGS, ER_TWO_OR_THREE, ER_UNKNOWN_AXIS, ER_UNKNOWN_MATCH_OPERATION, ER_UNKNOWN_NODETYPE, ER_UNKNOWN_OPCODE, ER_UNPARSEDENTITYURI_TAKES_1_ARG, ER_UNSUPPORTED_ENCODING, ER_VAR_NOT_RESOLVABLE, ER_XERCES_CANNOT_HANDLE_NODES, ER_XERCES_PARSE_ERROR, ER_XERCES_PARSE_ERROR_DETAILS, ER_XPATH_READOBJECT, ER_XSTRINGFORCHARS_CANNOT_TAKE_STRING, ER_ZERO_OR_ONE, ERROR_HEADER, ERROR_RESOURCES, ERROR_STRING, ERROR_SUFFIX, ERROR0000, FORMAT_FAILED, MAX_CODE, MAX_MESSAGES, MAX_OTHERS, MAX_WARNING, QUERY_HEADER, WARNING_HEADER, WARNING_SUFFIX, WG_CANNOT_MAKE_URL_FROM, WG_COULDNOT_FIND_FUNCTION, WG_DONT_DO_ANYTHING_WITH_NS, WG_EXPAND_ENTITIES_NOT_SUPPORTED, WG_FUNCTION_TOKEN_NOT_FOUND, WG_ILLEGAL_VARIABLE_REFERENCE, WG_LOCALE_NAME_NOT_HANDLED, WG_NEED_DERIVED_OBJECT_TO_IMPLEMENT_NODETEST, WG_PROPERTY_NOT_SUPPORTED, WG_QUO_NO_LONGER_DEFINED, WG_SECURITY_EXCEPTION, WG_UNSUPPORTED_ENCODING, XML_HEADER, XSL_HEADER`

Fields inherited from class java.util.ResourceBundle
`parent`

Constructor Summary
`XPATHErrorResources_en()`

Methods inherited from class weblogic.apache.xpath.res.XPATHErrorResources
`getContents, getMessageKey, getMKey, getWarningKey, getWKey, loadResourceBundle`

Methods inherited from class java.util.ListResourceBundle
`getKeys, handleGetObject`

Methods inherited from class java.util.ResourceBundle
`getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XPATHErrorResources_en

    public XPATHErrorResources_en()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference